
QGIS Application - Bug report #18044

QGIS 2.99.0-Master Crashed during Layer Styling 

2018-02-05 06:07 AM - Maaza Mekuria

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 25940

Description

User Feedback

While changing symbol styles of a layer and attempting to load a new style the

application froze.

Report Details

Crash ID: 5e2ad8cd45cb1fd9c0eb47bc6e5356337a1bdc48

Stack Trace

QgsSymbol::type qgssymbol.h:113

QgsSymbolsListWidget::populateSymbols qgssymbolslistwidget.cpp:291

QgsSymbolsListWidget::populateSymbolView qgssymbolslistwidget.cpp:274

QgsSymbolsListWidget::groupsCombo_currentIndexChanged qgssymbolslistwidget.cpp:656

QtPrivate::FunctorCall<QtPrivate::IndexesList<0>,QtPrivate::List<int>,void,void (__cdecl QgsSymbolsListWidget::*)(int)

__ptr64>::call qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__cdecl QgsSymbolsListWidget::*)(int) __ptr64>::call<QtPrivate::List<int>,void>

qobjectdefs_impl.h:170

QtPrivate::QSlotObject<void (__cdecl QgsSymbolsListWidget::*)(int) __ptr64,QtPrivate::List<int>,void>::impl qobject_impl.h:121

QMetaObject::activate :

QWidgetLineControl::`default constructor closure' :

QComboBox::setCurrentIndex :

QWidgetLineControl::`default constructor closure' :

QMetaObject::activate :

QComboBox::event :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgisApp::showLayerProperties qgisapp.cpp:12650
QgisApp::layerProperties qgisapp.cpp:7075

QgisApp::layerTreeViewDoubleClicked qgisapp.cpp:537

QtPrivate::FunctorCall<QtPrivate::IndexesList<0>,QtPrivate::List<QModelIndex const & __ptr64>,void,void (__cdecl

QgisApp::*)(QModelIndex const & __ptr64) __ptr64>::call qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__cdecl QgisApp::*)(QModelIndex const & __ptr64)

__ptr64>::call<QtPrivate::List<QModelIndex const & __ptr64>,void> qobjectdefs_impl.h:170

QtPrivate::QSlotObject<void (__cdecl QgisApp::*)(QModelIndex const & __ptr64) __ptr64,QtPrivate::List<QModelIndex const &

__ptr64>,void>::impl qobject_impl.h:121

QMetaObject::activate :

QAbstractItemView::doubleClicked :

QTreeView::mouseDoubleClickEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:317

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main main.cpp:1431

WinMain mainwin.cpp:156

__scrt_common_main_seh exe_common.inl:253

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:0a93674329

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-02-05 09:37 AM - Jürgen Fischer

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Regression? set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Category changed from Any to Symbology
- Easy fix? set to No

#2 - 2018-02-09 02:30 AM - Nyall Dawson

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

Is this reproducable? Can you post exact steps on how to trigger the crash?

#3 - 2018-02-25 11:32 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to not reproducable

Closing for lack of feedback.
